## BanditClassic
- Adds Bandit to the character select and modifies his skills so that he feels a bit more like he did in RoR1. Highly customizable!

	- Blast (8 shots, 1.2s reload)
		- Fire a powerful slug for 190% damage.
		- Click faster to shoot faster!
		- Fire rate is 0.3s per shot when autofiring, 0.2s while mashing the fire button.
		- If you don't want the mash to shoot faster mechanic, I recommend setting Blast's Auto firerate and Max firerate to 0.25s in the config.
	- Lights Out (7s cooldown)
		- Take aim with a revolver, dealing 600% damage. If the ability kills an enemy, cooldowns are all reset to 0.
		- Experimental tweaks (Gain damage on levelup and Execute on low HP) can be enabled at the end of the config file. I recommend only enabling one of these at a time.
	- Smokebomb (10s cooldown)
		- Turn invisible. After 3 seconds or after using another ability, surprise and stun enemies for 140% damage.
	- Grenade Toss (4s cooldown)
		- Toss an explosive in a straight line for 320% damage.
	- Acid Bomb (7s cooldown)
		- Replaces Grenade Toss (disabled by default)
		- Toss an explosive in a straight line for 450% damage.
		- Enemies caught in the blast are Weakened, reducing their movement speed, damage, and armor.
		- The blast radius is smaller than Grenade Toss's.
## Installation
Drop BanditClassic.dll into \BepInEx\plugins\
Settings can be changed in BepInEx\config\com.Moffein.BanditClassic.cfg

## Changelog
- 1.0.0
	- Initial Release
- 1.0.1
	- Attempted to fix README formatting
- 1.0.2
	- Attempted to fix README formatting
- 1.1.0
	- Added a config file
	- Added experimental Lights Out damage gain on levelup (disabled by default)
	- Added experimental Lights Out execute on low HP (disabled by default)
- 1.1.1
	- Smokebomb: Increased delay before skills can be used after entering cloak from 0.1 to 0.5 to prevent Hardlight Afterburner from accidentally using multiple charges
		- This can be changed in the config
	- Added a config option for modifying Lights Out base damage
	- Changed default max Lights Out execute max scaling from 0.1->0.05
- 1.2.0
	- Fixed Smokebomb not working in multiplayer(?)
	- Fixed the config value for Grenade Toss damage not actually changing the damage.
- 1.2.1
	- Implemented mistername's ice explosion fix
- 1.3.0
	- Fixed Lights Out execute causing Rex to break
	- Added Lights Out ignores armor option
	- Added options for changing Lights Out/Smokebomb/Grenade Toss cooldowns
	- Increased default Blast reload time from 1s to 1.2s
	- Increased default Smokebomb cooldown from 9s to 10s
	- Changed default Lights Out execute base value from 0.05 to 0.02
	- Changed default Lights Out execute max scaling from 0.05 to 0.08
- 1.3.1 to 1.3.3
	- Attempted to fix README formatting
- 1.3.4
	- Fixed README formatting
- 1.3.5
	- Changed README skills overview so that it describes the skills rather than how they are different from the unfinished default bandit
	- Changed default Grenade Toss radius to 8
- 1.4.0
	- Increased Blast base damage from 180% to 190%
	- Added Acid Bomb, an experimental Grenade Toss alternative. The two goals of this addition were to create an ability that encourages focusing on single targets, and to create an ability that benefits from Lights Out's cooldown reset.
	- Fixed Lights Out Execute not working when Lights Out Ignores Armor is enabled
	- Changed the R2API recommended version to the latest
- 1.4.1
	- Disabled Lights Out Ignores Armor by default.

## Credits
Thunderstore Wiki - Basic coding reference
mistername's Banditplus - Basic coding reference, survivor select display, ice explosion fix
paddywan - Help with IL